Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class FilterDirectoryReader.SubReaderWrapper

    java.lang.Object
      org.apache.lucene.index.FilterDirectoryReader.SubReaderWrapper

Direct Known Subclasses:
  FilterDirectoryReader.StandardReaderWrapper

Enclosing class:
  FilterDirectoryReader

    public abstract static class FilterDirectoryReader.SubReaderWrapper

extends Object

Factory class passed to FilterDirectoryReader constructor that allows subclasses to wrap the filtered DirectoryReader's subreaders. You can use this to, e.g., wrap the subreaders with specialised FilterAtomicReader implementations.

Constructor Summary
`FilterDirectoryReader.SubReaderWrapper()` Constructor

Method Summary
`abstract AtomicReader` | `wrap(AtomicReader reader)` Wrap one of the parent DirectoryReader's subreaders

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterDirectoryReader.SubReaderWrapper

    public FilterDirectoryReader.SubReaderWrapper()

  Constructor

Method Detail

### wrap

    public abstract AtomicReader wrap(AtomicReader reader)

  Wrap one of the parent DirectoryReader's subreaders

  Parameters:
    `reader` - the subreader to wrap
  Returns:
    a wrapped/filtered AtomicReader

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.